# -*- encoding : utf-8 -*-

class Admin::MOdrPlacesController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "stocks"
  end
  
  def index
    @m_odr_places = MOdrPlace.order(:name).all

    @m_odr_places = sort_by_sorting(@m_odr_places, "id DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @m_odr_places = @m_odr_places.page(page).per(per_page)
      
      }
    end

  end

  def show
    @m_odr_place = MOdrPlace.find(params[:id])

  end

  def new
    @m_odr_place = MOdrPlace.new
  
  end

  def edit
    @m_odr_place = MOdrPlace.find(params[:id])
    
  end

  def create
    @m_odr_place = MOdrPlace.new(params.require(:m_odr_place).permit!)

    if @m_odr_place.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @m_odr_place = MOdrPlace.find(params[:id])


    if @m_odr_place.update_attributes(params.require(:m_odr_place).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @m_odr_place = MOdrPlace.find(params[:id])
    @m_odr_place.destroy
    
  end
end
